Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class JPAProcessInstanceDbLog

    java.lang.Object
      org.jbpm.process.audit.JPAProcessInstanceDbLog

Deprecated.

    @Deprecated
    public class JPAProcessInstanceDbLog

extends Object

This class has been deprecated because it only uses static methods, which when used with the static EMF instance, pose a risk in multi-threaded environments. Please use instances of the `AuditLogService` class instead.

Constructor Summary
`JPAProcessInstanceDbLog()` Deprecated.
`JPAProcessInstanceDbLog(Environment env)` Deprecated.

Method Summary
`static void` | `clear()` Deprecated.
`static void` | `dispose()` Deprecated.
`protected void` | `finalize()` Deprecated.
`static List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)` Deprecated.
`static List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)` Deprecated.
`static List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)` Deprecated.
`static ProcessInstanceLog` | `findProcessInstance(long processInstanceId)` Deprecated.
`static List<ProcessInstanceLog>` | `findProcessInstances()` Deprecated.
`static List<ProcessInstanceLog>` | `findProcessInstances(String processId)` Deprecated.
`static List<ProcessInstanceLog>` | `findSubProcessInstances(long processInstanceId)` Deprecated.
`static List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId)` Deprecated.
`static List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId, String variableId)` Deprecated.
`static void` | `setEnvironment(Environment newEnv)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAProcessInstanceDbLog

    @Deprecated
    public JPAProcessInstanceDbLog()

  Deprecated.

### JPAProcessInstanceDbLog

    @Deprecated
    public JPAProcessInstanceDbLog(Environment env)

  Deprecated.

Method Detail

### setEnvironment

    public static void setEnvironment(Environment newEnv)

  Deprecated.

### findProcessInstances

    public static List<ProcessInstanceLog> findProcessInstances()

  Deprecated.

### findProcessInstances

    public static List<ProcessInstanceLog> findProcessInstances(String processId)

  Deprecated.

### findActiveProcessInstances

    public static List<ProcessInstanceLog> findActiveProcessInstances(String processId)

  Deprecated.

### findProcessInstance

    public static ProcessInstanceLog findProcessInstance(long processInstanceId)

  Deprecated.

### findSubProcessInstances

    public static List<ProcessInstanceLog> findSubProcessInstances(long processInstanceId)

  Deprecated.

### findNodeInstances

    public static List<NodeInstanceLog> findNodeInstances(long processInstanceId)

  Deprecated.

### findNodeInstances

    public static List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                                          String nodeId)

  Deprecated.

### findVariableInstances

    public static List<VariableInstanceLog> findVariableInstances(long processInstanceId)

  Deprecated.

### findVariableInstances

    public static List<VariableInstanceLog> findVariableInstances(long processInstanceId,
                                                                  String variableId)

  Deprecated.

### clear

    public static void clear()

  Deprecated.

### dispose

    @Deprecated
    public static void dispose()

  Deprecated.

### finalize

    protected void finalize()
                     throws Throwable

  Deprecated.
  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.